#ifndef MELLANOX_I2C_ACCESS_H
#define MELLANOX_I2C_ACCESS_H

#define EEPROM_TYPE_UNKNOWN	0
#define EEPROM_TYPE_8BIT_ADDR	1
#define EEPROM_TYPE_16BIT_ADDR 	2

struct eeprom
{
	char *dev; 	// device file i.e. /dev/i2c-N
	int addr;	// i2c address
	int fd;		// file descriptor
	int type; 	// eeprom type
};


int eeprom_open(char *dev_fqn, int addr, int type, struct eeprom*);
int eeprom_close(struct eeprom *e);
int eeprom_read_byte(struct eeprom* e, unsigned int mem_addr);
int eeprom_write_byte(struct eeprom *e, unsigned int mem_addr, unsigned int data);

#endif
